@dandv opened this issue on July 17th 2015

I've just updated to 2.14.1 and when I try to update the GrabGravatar plugin, it seems that the update executes, but the plugin is still marked as being outdated.

Looking in plugins, the timestamps of the files are of minutes ago, but the contents are of v0.1.1.

@tsteur commented on July 20th 2015

The timestamps of which files are of minutes ago? Does it say the plugin is updated? Which version does it say is installed? Still 0.1.1? Maybe it was a weird caching problem otherwise it should work. Do you mind trying again?

@dandv commented on July 20th 2015

Updating...

After update, Piwik still has the old version:

The timestamps of the GrabGravatar plugin files (the .php, plugin.json) are from moments ago. But the contents of plugin.json starts with

{
 "name": "GrabGravatar",
 "version": "0.1.1",
@tsteur commented on July 20th 2015

Thx! I presume there's a bug somewhere, we might read the wrong field somewhere. The plugin was tagged with 0.2.0 but the version in plugin.json is 0.1.11 see https://github.com/alnoorp/GrabGravatar/blob/0.2.0/plugin.json

There's also a tag 0.2.1 with version 0.2.0 see https://github.com/alnoorp/GrabGravatar/blob/0.2.1/plugin.json . We usually ignore the tag and read the version number but possibly there's a bug somewhere.

@mattab I think it's worth looking into this soonish. Could be in Piwik or in the Marketplace the problem

@mattab commented on July 22nd 2015

Good point, added issue to 2.15.0 so we get it sorted before 3.0.0 (where many plugins will need to be upgraded and we want to make sure everything works)

@tsteur commented on July 24th 2015

Little update: It's a bug caused by the GitHub library that we use and was fixed here: https://github.com/KnpLabs/php-github-api/commit/fada3f3cf088b332655183517d043eea495f6c50

We always downloaded the archive of the master branch so far as this is the default. Since we fetch the data within a minute from the repo this should be usually always the same content unless one tags from another branch (eg develop). Will see if we can update the library easily.

@tsteur commented on July 24th 2015

@dandv do you mind trying again? I re-imported the GrabGravatar versions and it should work now. Please comment or reopen in case you still experience this problem

This issue was closed on July 24th 2015
Powered by GitHub Issue Mirror